Unify and manage your data

ID Generation API

Use the ID Generation API to create generators that produce ID values for lookup types.

Use the ID Generation API to create generators and enable ID generation for lookup types. Generators produce unique identifier values for lookup entries. You can create a generator during tenant configuration or assign it to a lookup type for automatic ID generation.

Reltio supports the following generator types:

  • SEQUENTIAL - generates incremental numeric values
  • UUID - generates universally unique identifiers

HTTP method and endpoint

Use the following endpoint to create a generator.
POST {{rdm_uri}}/generators/{{rdm_tenant_name}}
The following table describes the endpoint path parameters.
ParameterTypeRequiredDescription
rdm_tenant_nameStringYesThe unique identifier of the tenant. Specifies the tenant context for the request.

Example: rdm_tenant_name

rdm_uriStringYesThe base URI for the RDM service.

Example: rdm.reltio.com

Request headers

The following request headers must be included.
HeaderValueRequired
Content-Typeapplication/jsonYes
AuthorizationBearer {{access_token}}Yes

Request body

The following table describes the request body parameters, including accepted values and defaults.

ParameterTypeRequiredDescriptionAccepted values / Default
nameStringYesUnique generator name for the tenant.Example: CountryIDGenerator
typeStringYesGenerator type.Accepted values: UUID, SEQUENTIAL
rangeStartNumberNoStarting value for a sequential generator.Default: 0 Example: 100

Example request (SEQUENTIAL)

Use the following example to see how a complete request is structured to create a SEQUENTIAL generator.
POST https://rdm.reltio.com/generators/acme-rdm-tenant
[
  {
    "name": "CountryUUIDGenerator",
    "type": "SEQUENTIAL"
  }
]

Example request (UUID)

Use the following example to see how a complete request is structured to create a UUID generator.
POST https://rdm.reltio.com/generators/acme-rdm-tenant
[
  {
    "name": "CountryUUIDGenerator",
    "type": "UUID"
  }
]

Response body

The following table describes the fields returned in the response body for all the example responses provided later in this section.

FieldTypeDescription
nameStringGenerator name.
typeStringGenerator type.
rangeStartNumberStarting value for a sequential generator.

Example response (SEQUENTIAL)

The following example shows a response for the SEQUENTIAL request body.
[
  {
    "name": "CountryIDGenerator",
    "type": "SEQUENTIAL",
    "rangeStart": 15,
  }
]

Example response (UUID)

The following example shows a response for the UUID request body.
[
  {
    "name": "CountryUUIDGenerator",
    "type": "UUID"
  }
]